<?php
session_start();
require_once __DIR__ . '/../Config.php';
?>
<html>
<head>
<link rel="stylesheet" type="text/css" href="./../css/form.css" />
<link rel="stylesheet" type="text/css" href="./../css/style.css" />
<title>Form with Google reCaptcha V3</title>

<script src="https://www.google.com/recaptcha/api.js"></script>
</head>
<body>
<div class="phppot-container tile-container">
    <h3 class="text-center">Google reCaptcha Automatic Binding</h3>

    <form id="frm" name="frm" method="post" action="action.php">
        <div>
            <div class="row">
                <label>Feedback</label>
                <input type="text" name="txt_report"  class="full-width" required>
            </div>
            <div class="row">
                <input type="button" class="g-recaptcha full-width"
                    data-sitekey="<?php echo Config::GOOGLE_RECAPTCHA_SITE_KEY; ?>"
                    data-callback='onSubmit' data-action='submit' value="Send" />
            </div>
            <?php
            if (! empty($_SESSION["ack_message"])) {
                ?>
            <div id="ack-message"><?php echo $_SESSION["ack_message"]; ?></div>
            <?php
            }
            $_SESSION["ack_message"] = "";
            ?>
        </div>
    </form>
</div>
    <script>
    function onSubmit(token) {
        var button = document.createElement('input');
        button.type = 'hidden';
        button.name = 'recaptcha_token';
        button.value = token;

        var form = document.getElementById("frm");
        form.appendChild(button);
        form.submit();
    }
 </script>
</body>
</html>